Debian GNU/Linux

FTBFS with GCC 4.4

Reported by Simon Olofsson on 2009-10-23
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnoemoe (Debian)
New
Unknown
gnoemoe (Ubuntu)
Low
Unassigned
Simon Olofsson (simono) wrote :

The above branch contains a fix.
You can find the diff here:
https://code.edge.launchpad.net/~simono/ubuntu/karmic/gnoemoe/fixes-bug-459164/+merge/13854

Changed in gnoemoe (Ubuntu):
status: New → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

Hi,

As stated by James Westby in the merge review:

"Please see https://wiki.ubuntu.com/CompilerFlags for a recipe
for checking the return code of "write" fully."

So I'll put the bug report as incomplete. Please put back as Confirmed when this is fixed.

Fabrice

Changed in gnoemoe (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Simon Olofsson (simono) wrote :

Implemented. Please see the merge proposal for details.

Thanks
Simon

Changed in gnoemoe (Ubuntu):
status: Incomplete → Confirmed
Scott Kitterman (kitterman) wrote :

[09:43:14] <ScottK> Would someone that knows C please review https://code.edge.launchpad.net/~simono/ubuntu/karmic/gnoemoe/fixes-bug-459164/+merge/13854
[09:53:48] <joaopinto> ScottK, gint count = (strlen(no_ansi) - written); it could use just "len" no need to call strlen() again
[09:54:17] <ScottK> joaopinto: Could you fix it and make a proper debbdiff?
[09:55:15] <joaopinto> well, it's a very small improvement, doesn't worth a debdiff at this time, the code looks sane
[09:56:20] <zooko> ScottK: something looks wrong to me.
[09:57:04] <zooko> Suppose strlen(no_ansi) is 20 at the start. written gets initialized to 0. First pass of the loop, count = 20
[09:57:20] <zooko> suppose partial write, written = 5, then
[09:57:41] <zooko> second pass of the loop, count = 15
[09:57:58] <zooko> so far so good -- it invokes write(fd, no_ansi+5, 15)
[09:58:10] <zooko> but if there is a second partial write, let's say this time written = 6
[09:58:33] <zooko> so 3rd pass of the loop, count = 14
[09:58:35] <joaopinto> oh written is not cumulative :\

Changed in gnoemoe (Ubuntu):
status: Confirmed → Incomplete
Simon Olofsson (simono) on 2009-10-26
Changed in gnoemoe (Ubuntu):
status: Incomplete → Confirmed
Didier Roche (didrocks) wrote :

Patch is good. Uploaded. Thanks Simon for you work there.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnoemoe - 2.2.0+dfsg-2ubuntu1

---------------
gnoemoe (2.2.0+dfsg-2ubuntu1) karmic; urgency=low

  * Fix FTBFS with GCC 4.4 (LP: #459164)

 -- Simon Olofsson <email address hidden> Mon, 26 Oct 2009 16:28:47 +0100

Changed in gnoemoe (Ubuntu):
status: Confirmed → Fix Released
Simon Olofsson (simono) on 2009-10-28
Changed in gnoemoe (Debian):
importance: Undecided → Unknown
status: New → Unknown
Changed in gnoemoe (Debian):
status: Unknown → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.